#!/bin/bash
#How to run this script
#sudo curl https://www.iz8gur.it/downloads/mmdvm/bi7jta/pistar-bi7jta.sh | sudo sh

if [ "$(id -u)" != "0" ]; then
  echo -e "You need to be root to run this command...\n"
  exit 1
fi

echo "Stopping Pi-Star Services..."

mount -o remount,rw /

systemctl stop pistar-watchdog.timer
systemctl stop pistar-watchdog.service
systemctl stop mmdvmhost.timer
systemctl stop nextiondriver.service
systemctl stop mmdvmhost.service
sleep 3
echo "Killing any remaining MMDVMHost processes..."
killall MMDVMHost
killall MMDVMHost_NoOLED
killall MMDVMHost_Adafruit

echo "Starting Flashing..."

cd /usr/bin
sudo curl -OL https://www.iz8gur.it/downloads/mmdvm/bi7jta/stm32flashV5
sudo chmod +x stm32flashV5
cd ~
sudo curl -OL https://www.iz8gur.it/downloads/mmdvm/bi7jta/mmdvm_f4.hex
sudo stm32flashV5 -v -w mmdvm_f4.hex -R  -i 20,-21,21:-20,-21,21 /dev/ttyAMA0
sleep 3

echo "Starting Pi-Star Services..."

mount -o remount,ro /

systemctl start pistar-watchdog.timer
systemctl start pistar-watchdog
systemctl start mmdvmhost.timer
systemctl start nextiondriver.service
systemctl start mmdvmhost

echo "Finnished..."